
Redmine - Defect #24774

Ubuntu 14.04 LTS Redmine could not be started

2017-01-07 03:51 - Vivek Buzruk

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

Trying to install Redmine using >

==========

http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_30x_on_Ubuntu_1404_with_Apache2_Phusion_Passenger_

MySQL_Subversion_and_Git_(Gitolite) ====================

System Details => ===============

"Linux 4.4.0-57-generic #78~14.04.1-Ubuntu SMP Sat Dec 10 00:14:47 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux" 

==================================

Error is => Web Application could not be started,

uninitialized constant ActionView::Helpers::ActiveModelHelper (NameError) ===================

More details in the attachment., Same thing is repeated below as much as I can  ====================================

Web application could not be started

uninitialized constant ActionView::Helpers::ActiveModelHelper (NameError)

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib/action_view/helpers.rb:40:in `<module:Helpers>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib/action_view/helpers.rb:4:in `<module:ActionView>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib/action_view/helpers.rb:3:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib/action_view/base.rb:5:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib/action_view/view_paths.rb:1:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/abstract_controller/rendering.rb:4:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_controller/base.rb:204:in `<class:Base>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_controller/base.rb:164:in `<module:ActionController>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_controller/base.rb:5:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-action_caching-1.1.1/lib/action_controller/action_caching.rb:13:in `<top

(required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-action_caching-1.1.1/lib/actionpack/action_caching.rb:1:in `require'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-action_caching-1.1.1/lib/actionpack/action_caching.rb:1:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb:105:in `require'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb:105:in `rescue in block in require'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb:82:in `block in require'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb:75:in `each'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb:75:in `require'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler.rb:106:in `require'

/opt/redmine/redmine-3.3.1/config/application.rb:5:in `<top (required)>'

/opt/redmine/redmine-3.3.1/config/environment.rb:2:in `require'

/opt/redmine/redmine-3.3.1/config/environment.rb:2:in `<top (required)>'

config.ru:3:in `require'

config.ru:3:in `block in <main>'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack/builder.rb:55:in `instance_eval'

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack/builder.rb:55:in `initialize'

config.ru:1:in `new'

config.ru:1:in `<main>'

/usr/share/passenger/helper-scripts/rack-preloader.rb:112:in `eval'

/usr/share/passenger/helper-scripts/rack-preloader.rb:112:in `preload_app'

/usr/share/passenger/helper-scripts/rack-preloader.rb:158:in `<module:App>'

/usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<module:PhusionPassenger>'

/usr/share/passenger/helper-scripts/rack-preloader.rb:28:in `<main>'

Application root

/opt/redmine/redmine

Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV and PASSENGER_ENV)
production

Ruby interpreter command

/usr/bin/ruby

 User and groups

uid=122(redmine) gid=130(redmine) groups=130(redmine)

 Environment variables

APACHE_PID_FILE = /var/run/apache2/apache2.pid

    rvm_bin_path = /opt/redmine/.rvm/bin

    GEM_HOME = /opt/redmine/.rvm/gems/ruby-2.1.4

    SHELL = /bin/bash

    APACHE_RUN_USER = www-data

    IRBRC = /opt/redmine/.rvm/rubies/ruby-2.1.4/.irbrc

    PASSENGER_DEBUG_DIR = /tmp/passenger.spawn-debug.XXXXUwwmQn

    MY_RUBY_HOME = /opt/redmine/.rvm/rubies/ruby-2.1.4

    rvm_stored_umask = 0022

    USER = redmine

    _system_type = Linux

    rvm_path = /opt/redmine/.rvm

    rvm_prefix = /opt/redmine

    APACHE_LOG_DIR = /var/log/apache2

    PATH = /opt/redmine/.rvm/gems/ruby-2.1.4/bin:/opt/redmine/.rvm/gems/ruby-2.1.4@global/bin:/opt

/redmine/.rvm/rubies/ruby-2.1.4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/

opt/redmine/.rvm/bin

    QT_QPA_PLATFORMTHEME = appmenu-qt5

    rvm_loaded_flag = 1

    PWD = /opt/redmine/redmine

    APACHE_RUN_GROUP = www-data

    LANG = C

    _system_arch = x86_64

    _system_version = 14.04

    rvm_version = 1.28.0 (latest)

    SHLVL = 0

    HOME = /opt/redmine

    LOGNAME = redmine

    GEM_PATH = /opt/redmine/.rvm/gems/ruby-2.1.4:/opt/redmine/.rvm/gems/ruby-2.1.4@global

    APACHE_LOCK_DIR = /var/lock/apache2

    APACHE_RUN_DIR = /var/run/apache2

    RUBY_VERSION = ruby-2.1.4

    rvm_user_install_flag = 1

    _system_name = Ubuntu

    IN_PASSENGER = 1

    PYTHONUNBUFFERED = 1

    NODE_PATH = /usr/share/passenger/node

    RAILS_ENV = production

    RACK_ENV = production

    WSGI_ENV = production

    NODE_ENV = production

    PASSENGER_APP_ENV = production

    RAILS_RELATIVE_URL_ROOT = /redmine

    RACK_BASE_URI = /redmine

    PASSENGER_BASE_URI = /redmine

    SERVER_PROTOCOL = HTTP/1.1

    SERVER_SOFTWARE = Apache/2.4.7 (Ubuntu)

    DOCUMENT_ROOT = /var/www/html

    SERVER_ADMIN = webmaster@localhost

    QUERY_STRING = 

    SERVER_NAME = localhost

    REMOTE_PORT = 45668

    REMOTE_ADDR = 127.0.0.1

    SERVER_PORT = 80

    REQUEST_METHOD = GET

    SERVER_ADDR = 127.0.0.1
    REQUEST_URI = /redmine

    BUNDLER_ORIG_PATH = /opt/redmine/.rvm/gems/ruby-2.1.4/bin:/opt/redmine/.rvm/gems/ruby-2.1.4@gl

obal/bin:/opt/redmine/.rvm/rubies/ruby-2.1.4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin

:/sbin:/bin:/opt/redmine/.rvm/bin

    BUNDLER_ORIG_GEM_PATH = /opt/redmine/.rvm/gems/ruby-2.1.4:/opt/redmine/.rvm/gems/ruby-2.1.4@gl

obal

    BUNDLE_BIN_PATH = /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/exe/bundle

    BUNDLE_GEMFILE = /opt/redmine/redmine-3.3.1/Gemfile

    BUNDLER_VERSION = 1.13.7

    RUBYOPT = -rbundler/setup

    RUBYLIB = /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib

 Ulimits

Unknown

 System memory usage

total       used       free     shared    buffers     cached

    Mem:          3952       3845        106         21        384       1774

    -/+ buffers/cache:       1686       2265

    Swap:            0          0          0

 General Ruby interpreter information

RUBY_VERSION = 2.1.9

    RUBY_PLATFORM = x86_64-linux-gnu

    RUBY_ENGINE = ruby

    RubyGems version = 2.2.5

 Ruby configuration (RbConfig::CONFIG)

DESTDIR = 

    MAJOR = 2

    MINOR = 1

    TEENY = 0

    PATCHLEVEL = 490

    INSTALL = /usr/bin/install -c

    EXEEXT = 

    prefix = /usr

    ruby_install_name = ruby2.1

    RUBY_INSTALL_NAME = ruby2.1

    RUBY_SO_NAME = ruby-2.1

    exec = exec

    ruby_pc = ruby-2.1.pc

    PACKAGE = ruby

    BUILTIN_TRANSSRCS =  newline.c

    USE_RUBYGEMS = YES

    MANTYPE = doc

    NROFF = /usr/bin/nroff

    vendorarchhdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0/vendor_ruby

    sitearchhdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0/site_ruby

    rubyarchhdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0

    vendorhdrdir = /usr/include/ruby-2.1.0/vendor_ruby

    sitehdrdir = /usr/include/ruby-2.1.0/site_ruby

    rubyhdrdir = /usr/include/ruby-2.1.0

    RUBY_SEARCH_PATH = 

    UNIVERSAL_INTS = 

    UNIVERSAL_ARCHNAMES = 

    configure_args =  '--build=x86_64-linux-gnu' '--prefix=/usr' '--includedir=${prefix}/include' 

'--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstated

ir=/var' '--libexecdir=${prefix}/lib/ruby2.1' '--disable-maintainer-mode' '--disable-dependency-tr

acking' '--enable-multiarch' '--target=x86_64-linux-gnu' '--program-suffix=2.1' '--with-soname=rub

y-2.1' '--enable-shared' '--disable-rpath' '--with-baseruby=/usr/bin/ruby' '--with-sitedir=/usr/lo

cal/lib/site_ruby' '--with-sitearchdir=/usr/local/lib/x86_64-linux-gnu/site_ruby' '--enable-ipv6' 

'--with-dbm-type=gdbm_compat' 'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat 

-Werror=format-security' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-g -O2 -fstack-protector --param
=ssp-buffer-size=4 -Wformat -Werror=format-security' 'FFLAGS=-g -O2 -fstack-protector --param=ssp-

buffer-size=4' 'GCJFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4' 'LDFLAGS=-Wl,-Bsymbol

ic-functions -Wl,-z,relro -L/build/ruby2.1-3vrZnx/ruby2.1-2.1.9/debian/lib' '--with-tcltkversion=8

.5' '--with-tclConfig-dir=/usr/lib/x86_64-linux-gnu/tcl8.5/tclConfig.sh' '--with-tkConfig-dir=/usr

/lib/x86_64-linux-gnu/tk8.5/tkConfig.sh' '--with-tcllib=tcl8.5' '--with-tklib=tk8.5' '--with-tcl-i

nclude=/usr/include/tcl8.5' '--with-tk-include=/usr/include/tcl8.5' '--with-tcl-lib=/usr/lib/x86_6

4-linux-gnu' '--with-tk-lib=/usr/lib/x86_64-linux-gnu' 'build_alias=x86_64-linux-gnu' 'target_alia

s=x86_64-linux-gnu'

    vendorarchdir = /usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.1.0

    vendorlibdir = /usr/lib/ruby/vendor_ruby/2.1.0

    vendordir = /usr/lib/ruby/vendor_ruby

    sitearchdir = /usr/local/lib/x86_64-linux-gnu/site_ruby

    sitelibdir = /usr/local/lib/site_ruby/2.1.0

    sitedir = /usr/local/lib/site_ruby

    rubyarchdir = /usr/lib/x86_64-linux-gnu/ruby/2.1.0

    rubylibdir = /usr/lib/ruby/2.1.0

    ruby_version = 2.1.0

    sitearch = x86_64-linux-gnu

    arch = x86_64-linux-gnu

    sitearchincludedir = /usr/include/x86_64-linux-gnu

    archincludedir = /usr/include/x86_64-linux-gnu

    sitearchlibdir = /usr/lib/x86_64-linux-gnu

    archlibdir = /usr/lib/x86_64-linux-gnu

    libdirname = archlibdir

    RUBY_EXEC_PREFIX = /usr

    RUBY_LIB_VERSION = 

    RUBY_LIB_VERSION_STYLE = 3    /* full */

    RI_BASE_NAME = ri

    ridir = /usr/share/ri

    rubysitearchprefix = /usr/lib/x86_64-linux-gnu/ruby

    rubyarchprefix = /usr/lib/x86_64-linux-gnu/ruby

    MAKEFILES = Makefile GNUmakefile

    PLATFORM_DIR = 

    THREAD_MODEL = pthread

    SYMBOL_PREFIX = 

    EXPORT_PREFIX = 

    COMMON_HEADERS = 

    COMMON_MACROS = 

    COMMON_LIBS = 

    MAINLIBS = 

    ENABLE_SHARED = yes

    DLDLIBS =  -lc

    SOLIBS = -lpthread -lgmp -ldl -lcrypt -lm 

    LIBRUBYARG_SHARED = -lruby-2.1

    LIBRUBYARG_STATIC = -lruby-2.1-static

    LIBRUBYARG = -lruby-2.1

    LIBRUBY = libruby-2.1.so.2.1.0

    LIBRUBY_ALIASES = libruby-2.1.so.2.1 libruby-2.1.so

    LIBRUBY_SO = libruby-2.1.so.2.1.0

    LIBRUBY_A = libruby-2.1-static.a

    RUBYW_INSTALL_NAME = 

    rubyw_install_name = 

    EXTDLDFLAGS = 

    EXTLDFLAGS = 

    strict_warnflags = -std=iso9899:1999

    warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-f

ield-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement 

-Wimplicit-function-declaration

    debugflags = -ggdb3

    optflags = -O3 -fno-fast-math

    cxxflags =  -O3 -fno-fast-math -ggdb3 -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wn

o-long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wde

claration-after-statement -Wimplicit-function-declaration

    cflags =  -O3 -fno-fast-math -ggdb3 -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-

long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdecl

aration-after-statement -Wimplicit-function-declaration

    cppflags = 
    NULLCMD = :

    DLNOBJ = dln.o

    INSTALLDOC = all

    CAPITARGET = nodoc

    RDOCTARGET = rdoc

    DTRACE_GLOMMED_OBJ = ruby-glommed.o

    DTRACE_OBJ = probes.o

    DTRACE_EXT = d

    EXECUTABLE_EXTS = 

    ARCHFILE = 

    LIBRUBY_RELATIVE = no

    EXTOUT = .ext

    RUNRUBY_COMMAND = $(MINIRUBY) $(srcdir)/tool/runruby.rb --extout=.ext $(RUNRUBYOPT)

    PREP = miniruby

    BTESTRUBY = $(MINIRUBY)

    CROSS_COMPILING = no

    TEST_RUNNABLE = yes

    rubylibprefix = /usr/lib/ruby

    setup = Setup

    EXTSTATIC = 

    STRIP = strip -S -x

    TRY_LINK = 

    LIBPATHENV = LD_LIBRARY_PATH

    RPATHFLAG = 

    LIBPATHFLAG =  -L%s

    LINK_SO = 

    LIBEXT = a

    DLEXT2 = 

    DLEXT = so

    LDSHAREDXX = g++ -shared

    LDSHARED = gcc -shared

    CCDLFLAGS = -fPIC

    STATIC = 

    ARCH_FLAG = 

    DLDFLAGS = 

    ALLOCA = 

    codesign = 

    POSTLINK = :

    WERRORFLAG = -Werror

    CHDIR = cd -P

    RMALL = rm -fr

    RMDIRS = rmdir --ignore-fail-on-non-empty -p

    RMDIR = rmdir --ignore-fail-on-non-empty

    CP = cp

    RM = rm -f

    PKG_CONFIG = pkg-config

    PYTHON = 

    DOXYGEN = 

    DOT = 

    DTRACE = dtrace

    MAKEDIRS = /bin/mkdir -p

    MKDIR_P = /bin/mkdir -p

    INSTALL_DATA = /usr/bin/install -c -m 644

    INSTALL_SCRIPT = /usr/bin/install -c

    INSTALL_PROGRAM = /usr/bin/install -c

    SET_MAKE = 

    LN_S = ln -s

    NM = nm

    DLLWRAP = 

    WINDRES = 

    OBJCOPY = :

    OBJDUMP = objdump

    ASFLAGS = 

    AS = as

    AR = ar

    RANLIB = ranlib

    try_header = 
    CC_VERSION = gcc -v

    COUTFLAG = -o 

    OUTFLAG = -o 

    CPPOUTFILE = -o conftest.i

    GNU_LD = yes

    LD = ld

    GCC = yes

    EGREP = /bin/grep -E

    GREP = /bin/grep

    CPP = gcc -E

    CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security

    CXX = g++

    OBJEXT = o

    CPPFLAGS = -D_FORTIFY_SOURCE=2  

    LDFLAGS = -L. -Wl,-Bsymbolic-functions -Wl,-z,relro -L/build/ruby2.1-3vrZnx/ruby2.1-2.1.9/debi

an/lib -fstack-protector -rdynamic -Wl,-export-dynamic

    CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -

fPIC

    CC = gcc

    NACL_SDK_VARIANT = 

    NACL_SDK_ROOT = 

    NACL_TOOLCHAIN = 

    target_os = linux-gnu

    target_vendor = pc

    target_cpu = x86_64

    target = x86_64-pc-linux-gnu

    host_os = linux-gnu

    host_vendor = pc

    host_cpu = x86_64

    host = x86_64-pc-linux-gnu

    RUBY_VERSION_NAME = ruby-2.1.0

    RUBYW_BASE_NAME = rubyw

    RUBY_BASE_NAME = ruby

    build_os = linux-gnu

    build_vendor = pc

    build_cpu = x86_64

    build = x86_64-pc-linux-gnu

    RUBY_RELEASE_DATE = 2016-03-30

    RUBY_PROGRAM_VERSION = 2.1.9

    target_alias = x86_64-linux-gnu

    host_alias = 

    build_alias = x86_64-linux-gnu

    LIBS = -lpthread -lgmp -ldl -lcrypt -lm 

    ECHO_T = 

    ECHO_N = -n

    ECHO_C = 

    DEFS = 

    mandir = /usr/share/man

    localedir = /usr/share/locale

    libdir = /usr/lib

    psdir = /usr/share/doc/ruby

    pdfdir = /usr/share/doc/ruby

    dvidir = /usr/share/doc/ruby

    htmldir = /usr/share/doc/ruby

    infodir = /usr/share/info

    docdir = /usr/share/doc/ruby

    oldincludedir = /usr/include

    includedir = /usr/include

    localstatedir = /var

    sharedstatedir = /usr/com

    sysconfdir = /etc

    datadir = /usr/share

    datarootdir = /usr/share

    libexecdir = /usr/lib/ruby2.1

    sbindir = /usr/sbin

    bindir = /usr/bin

    program_transform_name = s&$&2.1&;s&^&&
    exec_prefix = /usr

    PACKAGE_URL = 

    PACKAGE_BUGREPORT = 

    PACKAGE_STRING = 

    PACKAGE_VERSION = 

    PACKAGE_TARNAME = 

    PACKAGE_NAME = 

    PATH_SEPARATOR = :

    SHELL = /bin/bash

    archdir = /usr/lib/x86_64-linux-gnu/ruby/2.1.0

    topdir = /usr/lib/x86_64-linux-gnu/ruby/2.1.0

 Activated Ruby gems

bundler => 1.13.7

    io-console => 0.4.3

    psych => 2.0.5

    rake => 12.0.0

    RedCloth => 4.3.2

    i18n => 0.7.0

    json => 1.8.3

    minitest => 5.10.1

    thread_safe => 0.3.5

    tzinfo => 1.2.2

    activesupport => 4.2.7.1

    builder => 3.2.2

    erubis => 2.7.0

    mini_portile2 => 2.1.0

    nokogiri => 1.6.8.1

    rails-deprecated_sanitizer => 1.0.3

    rails-dom-testing => 1.0.8

    loofah => 2.0.3

    rails-html-sanitizer => 1.0.3

    actionview => 4.2.7.1

    rack => 1.6.5

    rack-test => 0.6.3

    actionpack => 4.2.7.1

    globalid => 0.3.7

    activejob => 4.2.7.1

    mime-types-data => 3.2016.0521

    mime-types => 3.1

    mail => 2.6.4

    actionmailer => 4.2.7.1

    actionpack-action_caching => 1.1.1

    actionpack-xml_parser => 1.0.2

    activemodel => 4.2.7.1

    arel => 6.0.4

    activerecord => 4.2.7.1

    public_suffix => 2.0.5

    addressable => 2.5.0

    asciidoctor => 1.5.5

    coderay => 1.1.1

    concurrent-ruby => 1.0.4

    creole => 0.5.0

    css_parser => 1.4.7

    dalli => 2.7.6

    github-markup => 1.4.0

    gitlab-grack => 2.0.0.pre

    gratr19 => 0.4.4.1

    rugged => 0.24.0

    gitolite-rugged => 1.1.0

    tilt => 2.0.5

    haml => 4.0.7

    sexp_processor => 4.7.0

    ruby_parser => 3.8.3

    html2haml => 2.0.0

    thor => 0.19.4

2025-05-09 7/19



    railties => 4.2.7.1

    haml-rails => 0.9.0

    hiredis => 0.6.1

    htmlentities => 4.3.1

    jquery-rails => 3.1.4

    mimemagic => 0.3.2

    mysql2 => 0.3.21

    net-ldap => 0.12.1

    rubypants => 0.6.0

    org-ruby => 0.9.12

    protected_attributes => 1.1.3

    ruby-openid => 2.3.0

    rack-openid => 1.4.2

    sprockets => 3.7.1

    sprockets-rails => 3.2.0

    rails => 4.2.7.1

    rbpdf-font => 1.19.0

    rbpdf => 1.19.0

    redcarpet => 3.3.4

    redis => 3.3.2

    request_store => 1.0.5

    rmagick => 2.16.0

    roadie => 3.2.0

    roadie-rails => 1.1.1

    will_paginate => 3.1.5

 Ruby load path ($LOAD_PATH)

/opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/will_paginate-3.1.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/roadie-rails-1.1.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/roadie-3.2.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/rmagick-2.16.0

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rmagick-2.16.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rmagick-2.16.0/ext

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rmagick-2.16.0/deprecated

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/request_store-1.0.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/redis-3.3.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/redcarpet-3.3.4

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/redcarpet-3.3.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rbpdf-1.19.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rbpdf-font-1.19.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rails-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/sprockets-rails-3.2.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/sprockets-3.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-openid-1.4.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/ruby-openid-2.3.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/protected_attributes-1.1.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/org-ruby-0.9.12/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rubypants-0.6.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/net-ldap-0.12.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/mysql2-0.3.21

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mysql2-0.3.21/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mimemagic-0.3.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/jquery-rails-3.1.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/htmlentities-4.3.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/hiredis-0.6.1

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/hiredis-0.6.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/haml-rails-0.9.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thor-0.19.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/html2haml-2.0.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/ruby_parser-3.8.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/sexp_processor-4.7.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/haml-4.0.7/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tilt-2.0.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/bundler/gems/gitolite-rugged-85668adfb1f7/lib
    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/rugged-0.24.0

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rugged-0.24.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/gratr19-0.4.4.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/bundler/gems/grack-1bc51d833970/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/github-markup-1.4.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/dalli-2.7.6/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/css_parser-1.4.7/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/creole-0.5.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/concurrent-ruby-1.0.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/coderay-1.1.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/asciidoctor-1.5.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/addressable-2.5.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/public_suffix-2.0.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-xml_parser-1.0.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-action_caching-1.1.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionmailer-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mail-2.6.4/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mime-types-3.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mime-types-data-3.2016.0521/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activejob-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/globalid-0.3.7/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-test-0.6.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionview-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rails-html-sanitizer-1.0.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/loofah-2.0.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rails-dom-testing-1.0.8/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rails-deprecated_sanitizer-1.0.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/nokogiri-1.6.8.1

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/nokogiri-1.6.8.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/mini_portile2-2.1.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/erubis-2.7.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/builder-3.2.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/minitest-5.10.1/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/json-1.8.3

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/extensions/x86_64-linux/2.1.0/RedCloth-4.3.2

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/RedCloth-4.3.2/lib

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/RedCloth-4.3.2/lib/case_sensitive_require

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/RedCloth-4.3.2/ext

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rake-12.0.0/lib

    /usr/local/lib/site_ruby/2.1.0

    /usr/local/lib/x86_64-linux-gnu/site_ruby

    /usr/local/lib/site_ruby

    /usr/lib/ruby/vendor_ruby/2.1.0

    /usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.1.0

    /usr/lib/ruby/vendor_ruby

    /usr/lib/ruby/2.1.0

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0

 Ruby loaded libraries ($LOADED_FEATURES)

enumerator.so

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/enc/encdb.so

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/enc/trans/transdb.so

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/rbconfig.rb

    /usr/lib/ruby/2.1.0/rubygems/compatibility.rb

    /usr/lib/ruby/2.1.0/rubygems/defaults.rb

    /usr/lib/ruby/2.1.0/rubygems/deprecate.rb
    /usr/lib/ruby/2.1.0/rubygems/errors.rb

    /usr/lib/ruby/2.1.0/rubygems/version.rb

    /usr/lib/ruby/2.1.0/rubygems/requirement.rb

    /usr/lib/ruby/2.1.0/rubygems/platform.rb

    /usr/lib/ruby/2.1.0/rubygems/basic_specification.rb

    /usr/lib/ruby/2.1.0/rubygems/stub_specification.rb

    /usr/lib/ruby/2.1.0/rubygems/util/stringio.rb

    /usr/lib/ruby/2.1.0/rubygems/specification.rb

    /usr/lib/ruby/2.1.0/rubygems/exceptions.rb

    /usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb

    /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_gem.rb

    thread.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/thread.so

    /usr/lib/ruby/2.1.0/monitor.rb

    /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb

    /usr/lib/ruby/2.1.0/rubygems.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/etc.so

    /usr/lib/ruby/2.1.0/fileutils.rb

    /usr/lib/ruby/2.1.0/tmpdir.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tmpio.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info/operating_system.rb

    /usr/lib/ruby/2.1.0/rubygems/path_support.rb

    /usr/lib/ruby/2.1.0/rubygems/dependency.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info/ruby.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info/binary_compatibility.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/constants.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/native_support.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/socket.so

    /usr/lib/ruby/2.1.0/socket.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/ruby_core_enhancements.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tmpdir.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/preloader_shared_helpers.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/public_api.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/debug_logging.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/fcntl.so

    /usr/lib/ruby/vendor_ruby/phusion_passenger/message_channel.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/message_client.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils/native_support_utils.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils/unseekable_socket.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/stringio.so

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tee_input.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb

    /usr/lib/ruby/vendor_ruby/phusion_passenger/analytics_logger.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/postit_trampoline.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/pathname.so

    /usr/lib/ruby/2.1.0/pathname.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/constants.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/io/console.so

    /usr/lib/ruby/2.1.0/rubygems/user_interaction.rb

    /usr/lib/ruby/2.1.0/rubygems/config_file.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/rubygems_integration.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/current_ruby.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/shared_helpers.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/build_error.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/builder.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/configure_builder.rb

    /usr/lib/ruby/2.1.0/delegate.rb

    /usr/lib/ruby/2.1.0/tempfile.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/ext_conf_builder.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/rake_builder.rb

    /usr/lib/ruby/2.1.0/optparse.rb
    /usr/lib/ruby/2.1.0/rubygems/command.rb

    /usr/lib/ruby/2.1.0/rubygems/ext/cmake_builder.rb

    /usr/lib/ruby/2.1.0/rubygems/ext.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/errors.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/environment_preserver.rb

    /usr/lib/ruby/2.1.0/timeout.rb

    /usr/lib/ruby/2.1.0/net/protocol.rb

    /usr/lib/ruby/2.1.0/uri/common.rb

    /usr/lib/ruby/2.1.0/uri/generic.rb

    /usr/lib/ruby/2.1.0/uri/ftp.rb

    /usr/lib/ruby/2.1.0/uri/http.rb

    /usr/lib/ruby/2.1.0/uri/https.rb

    /usr/lib/ruby/2.1.0/uri/ldap.rb

    /usr/lib/ruby/2.1.0/uri/ldaps.rb

    /usr/lib/ruby/2.1.0/uri/mailto.rb

    /usr/lib/ruby/2.1.0/uri.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/zlib.so

    /usr/lib/ruby/2.1.0/net/http/exceptions.rb

    /usr/lib/ruby/2.1.0/net/http/header.rb

    /usr/lib/ruby/2.1.0/net/http/generic_request.rb

    /usr/lib/ruby/2.1.0/net/http/request.rb

    /usr/lib/ruby/2.1.0/net/http/requests.rb

    /usr/lib/ruby/2.1.0/net/http/response.rb

    /usr/lib/ruby/2.1.0/net/http/responses.rb

    /usr/lib/ruby/2.1.0/net/http/proxy_delta.rb

    /usr/lib/ruby/2.1.0/net/http/backward.rb

    /usr/lib/ruby/2.1.0/net/http.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/date_core.so

    /usr/lib/ruby/2.1.0/date/format.rb

    /usr/lib/ruby/2.1.0/date.rb

    /usr/lib/ruby/2.1.0/time.rb

    /usr/lib/ruby/2.1.0/rubygems/request.rb

    /usr/lib/ruby/2.1.0/cgi/core.rb

    /usr/lib/ruby/2.1.0/cgi/util.rb

    /usr/lib/ruby/2.1.0/cgi/cookie.rb

    /usr/lib/ruby/2.1.0/cgi.rb

    /usr/lib/ruby/2.1.0/rubygems/uri_formatter.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/digest.so

    /usr/lib/ruby/2.1.0/digest.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/openssl.so

    /usr/lib/ruby/2.1.0/openssl/bn.rb

    /usr/lib/ruby/2.1.0/openssl/cipher.rb

    /usr/lib/ruby/2.1.0/openssl/config.rb

    /usr/lib/ruby/2.1.0/openssl/digest.rb

    /usr/lib/ruby/2.1.0/openssl/x509.rb

    /usr/lib/ruby/2.1.0/openssl/buffering.rb

    /usr/lib/ruby/2.1.0/openssl/ssl.rb

    /usr/lib/ruby/2.1.0/openssl.rb

    /usr/lib/ruby/2.1.0/securerandom.rb

    /usr/lib/ruby/2.1.0/resolv.rb

    /usr/lib/ruby/2.1.0/rubygems/remote_fetcher.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/gem_remote_fetcher.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/digest/sha1.so

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/plugin/api/source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/plugin/api.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/plugin.rb

    /usr/lib/ruby/2.1.0/rubygems/util.rb

    /usr/lib/ruby/2.1.0/rubygems/source/git.rb

    /usr/lib/ruby/2.1.0/rubygems/source/installed.rb

    /usr/lib/ruby/2.1.0/rubygems/source/specific_file.rb

    /usr/lib/ruby/2.1.0/rubygems/source/local.rb

    /usr/lib/ruby/2.1.0/rubygems/source/lock.rb

    /usr/lib/ruby/2.1.0/rubygems/source/vendor.rb

    /usr/lib/ruby/2.1.0/rubygems/source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/gem_helpers.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/match_platform.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/rubygems_ext.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/settings.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/yaml_serializer.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/strscan.so

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source/path.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source/git.rb

    /usr/lib/ruby/2.1.0/rubygems/text.rb

    /usr/lib/ruby/2.1.0/rubygems/name_tuple.rb

    /usr/lib/ruby/2.1.0/rubygems/spec_fetcher.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source/rubygems.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/lockfile_parser.rb

    /usr/lib/ruby/2.1.0/set.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/definition.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/dependency.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/ruby_dsl.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/dsl.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source_list.rb

    /usr/lib/ruby/2.1.0/erb.rb

    /usr/lib/ruby/2.1.0/psych/exception.rb

    /usr/lib/ruby/2.1.0/psych/syntax_error.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/psych.so

    /usr/lib/ruby/2.1.0/psych/omap.rb

    /usr/lib/ruby/2.1.0/psych/set.rb

    /usr/lib/ruby/2.1.0/psych/class_loader.rb

    /usr/lib/ruby/2.1.0/psych/scalar_scanner.rb

    /usr/lib/ruby/2.1.0/psych/nodes/node.rb

    /usr/lib/ruby/2.1.0/psych/nodes/stream.rb

    /usr/lib/ruby/2.1.0/psych/nodes/document.rb

    /usr/lib/ruby/2.1.0/psych/nodes/sequence.rb

    /usr/lib/ruby/2.1.0/psych/nodes/scalar.rb

    /usr/lib/ruby/2.1.0/psych/nodes/mapping.rb

    /usr/lib/ruby/2.1.0/psych/nodes/alias.rb

    /usr/lib/ruby/2.1.0/psych/nodes.rb

    /usr/lib/ruby/2.1.0/psych/streaming.rb

    /usr/lib/ruby/2.1.0/psych/visitors/visitor.rb

    /usr/lib/ruby/2.1.0/psych/visitors/to_ruby.rb

    /usr/lib/ruby/2.1.0/psych/visitors/emitter.rb

    /usr/lib/ruby/2.1.0/psych/handler.rb

    /usr/lib/ruby/2.1.0/psych/tree_builder.rb

    /usr/lib/ruby/2.1.0/psych/visitors/yaml_tree.rb

    /usr/lib/ruby/2.1.0/psych/json/ruby_events.rb

    /usr/lib/ruby/2.1.0/psych/visitors/json_tree.rb

    /usr/lib/ruby/2.1.0/psych/visitors/depth_first.rb

    /usr/lib/ruby/2.1.0/psych/visitors.rb

    /usr/lib/ruby/2.1.0/psych/parser.rb

    /usr/lib/ruby/2.1.0/psych/coder.rb

    /usr/lib/ruby/2.1.0/psych/core_ext.rb

    /usr/lib/ruby/2.1.0/psych/deprecated.rb

    /usr/lib/ruby/2.1.0/psych/stream.rb

    /usr/lib/ruby/2.1.0/psych/json/yaml_events.rb

    /usr/lib/ruby/2.1.0/psych/json/tree_builder.rb

    /usr/lib/ruby/2.1.0/psych/json/stream.rb

    /usr/lib/ruby/2.1.0/psych/handlers/document_stream.rb

    /usr/lib/ruby/2.1.0/psych.rb

    /usr/lib/ruby/2.1.0/yaml.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/enc/utf_16le.so

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/enc/utf_16be.so

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/ui.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/ui/silent.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/ui/rg_proxy.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/lazy_specification.rb

    /usr/lib/ruby/2.1.0/tsort.rb

    /usr/lib/ruby/2.1.0/forwardable.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/spec_set.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/gem_version_promoter.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source/git/git_proxy.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/source/gemspec.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/runtime.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/dep_proxy.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/index.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/remote_specification.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/stub_specification.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/endpoint_specification.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/bundler-1.13.7/lib/bundler/setup.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack/multipart.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack/utils.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/rack-1.6.5/lib/rack/builder.rb

    /opt/redmine/redmine-3.3.1/config/boot.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/ruby_version_check.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe/synchronized_delegato

r.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/array

/prepend_and_append.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

deep_merge.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

except.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

slice.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib/i18n/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib/i18n/exceptions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib/i18n/interpolate/ruby.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib/i18n.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/lazy_load_hook

s.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/i18n-0.7.0/lib/i18n/config.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/i18n.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe/non_concurrent_cache_

backend.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe/mri_cache_backend.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/thread_safe-0.3.5/lib/thread_safe/cache.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/inflector/infl

ections.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/inflections.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/inflector/meth

ods.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/dependencies/a

utoload.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/gem_version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/array

/extract_options.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/attribute_accessors.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/concern.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/logger_silence

.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/logger_thread_

safe_level.rb

    /usr/lib/ruby/2.1.0/logger.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/logger.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support.rb

    /usr/lib/ruby/2.1.0/singleton.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/kerne

l/singleton_class.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/delegation.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation/in

stance_delegator.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/notifications/

instrumenter.rb

    /usr/lib/ruby/2.1.0/mutex_m.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/notifications/

fanout.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/per_thread_reg

istry.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/notifications.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation/be

haviors.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation/re

porting.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/aliasing.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation/me

thod_wrappers.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation/pr

oxy_wrappers.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/deprecation.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/deprecation.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/kerne

l/reporting.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

keys.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/blank.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/key_generator.

rb

    /usr/lib/ruby/2.1.0/base64.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/security_utils

.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/message_verifi

er.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/initializable.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/ordered_option

s.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/acts_like.rb

    /usr/lib/x86_64-linux-gnu/ruby/2.1.0/bigdecimal.so

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/duplicable.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/deep_dup.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/itself.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/try.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/inclusion.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/to_query.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/to_param.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/multibyte.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/multibyte.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/inflector/tran

sliterate.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/inflections.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

time/calculations.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/xml_mini/rexml

.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/xml_mini.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/array

/conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time/

acts_like.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/duration.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/ruby_core_support.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/offset_rationals.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/time_or_datetime.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_definition.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_offset.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_transition.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_transition_definition.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_index_definition.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/data_timezone_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/linked_timezone_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/transition_data_timezone_info.r

b

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/zoneinfo_timezone_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/data_source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/ruby_data_source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/zoneinfo_data_source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_period.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/info_timezone.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/data_timezone.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/linked_timezone.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/timezone_proxy.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/country_index_definition.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/country_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/ruby_country_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/zoneinfo_country_info.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/country.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo/country_timezone.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/tzinfo-1.2.2/lib/tzinfo.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/values/time_zo

ne.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time/

conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/time_with_zone

.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

and_time/zones.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time/

zones.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

and_time/calculations.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date/

zones.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date/

calculations.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time/

calculations.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time/

marshal.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/time.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date/

acts_like.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/remove_method.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date/

conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_
time/acts_like.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

time/conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

time/zones.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/date_

time.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/numer

ic/time.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/integ

er/time.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/zones.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/time.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/array

/wrap.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

reverse_merge.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/hash/

conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/instance_variables.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/version.rb

    /usr/lib/ruby/2.1.0/ostruct.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/generic_object.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/common.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/pure/parser.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/pure/generator.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json/pure.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/json-1.8.3/lib/json.rb

    /usr/lib/ruby/2.1.0/bigdecimal/util.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/big_d

ecimal/conversions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/json.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/option_merger.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t/with_options.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/objec

t.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/paths.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/rack.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/configuration.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/inflector.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/introspection.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/railtie.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/engine/railties.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/engine.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/application.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/gem_version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/file_update_ch

ecker.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails/railtie/configuration.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/i18n_railtie.r

b

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/railtie.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/class

/attribute.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/rails.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_pack/gem_version.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_pack/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_pack.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_dispatch.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/actionpack-4.2.7.1/lib/action_dispatch/railtie.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/railties-4.2.7.1/lib/rails.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib/active_model/gem_version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib/active_model/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib/active_model.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/crud.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/factory_methods.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/expressions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/predications.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/window_predications.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/math.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/alias_predication.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/order_predications.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/table.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/attributes/attribute.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/attributes.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/compatibility/wheres.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/visitor.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/depth_first.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/reduce.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/to_sql.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/sqlite.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/postgresql.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/mysql.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/mssql.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/oracle.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/where_sql.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/dot.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/ibm_db.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors/informix.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/visitors.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/collectors/plain_string.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/collectors/sql_string.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/tree_manager.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/insert_manager.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/select_manager.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/update_manager.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/delete_manager.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/node.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/select_statement.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/select_core.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/insert_statement.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/update_statement.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/bind_param.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/terminal.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/true.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/false.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/unary.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/grouping.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/ascending.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/descending.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/unqualified_column.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/with.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/binary.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/equality.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/in.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/join_source.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/delete_statement.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/table_alias.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/infix_operation.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/over.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/matches.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/and.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/function.rb
    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/count.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/extract.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/values.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/named_function.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/window.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/full_outer_join.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/inner_join.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/outer_join.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/right_outer_join.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/string_join.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes/sql_literal.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/nodes.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/gem_version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/version.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/attribute.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/attribute_set/bu

ilder.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/attribute_set.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/enume

rable.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/filters.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib/active_model/attribute_methods.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/attribute_method

s.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/decorator.r

b

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/mutable.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/numeric.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/time_value.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/value.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/integer.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/big_integer

.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/binary.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/boolean.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/date.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/date_time.r

b

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/decimal.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/decimal_wit

hout_scale.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/float.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/serialized.

rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/string.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/text.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/time.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/unsigned_in

teger.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/type_map.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type/hash_lookup

_type_map.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/type.rb

    /usr/lib/ruby/2.1.0/benchmark.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/bench

mark.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/schema_cache.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/schema_dumper.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/strip.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt
ers/abstract/schema_creation.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/arel-6.0.4/lib/arel/collectors/bind.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/quoting.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/database_statements.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/errors.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/migration.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/migration/join_t

able.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/strin

g/access.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/schema_definitions.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/schema_statements.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/database_limits.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract/query_cache.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/descendants_tr

acker.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/connection_adapt

ers/abstract_adapter.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record/scoping.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activerecord-4.2.7.1/lib/active_record.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activemodel-4.2.7.1/lib/active_model/railtie.rb

    /opt/redmine/.rvm/gems/ruby-2.1.4/gems/activesupport-4.2.7.1/lib/active_support/core_ext/modul

e/attr_internal.rb

History

#1 - 2017-01-07 08:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry no technical support here in the issue tracker.
